Web monitoring
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new Web monitoring action in the pipeline
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Check http://buddy.works/ status",
"type": "WEB",
"trigger_time": "ON_EVERY_EXECUTION",
"login": "owner@buddy.works",
"password": "secure!TPR+DWaI7z47j6Ns4kkSJQ==",
"port": "8080",
"destination": "http://buddy.works/",
"post_data": "{ \"test\": \"ok\" }",
"headers": [
{
"name": "User-Agent",
"value": "Buddy"
},
{
"name": "myHeader",
"value": "myHeaderValue"
}
],
"text_existence": true,
"text": "ok"
}'STATUS200 OK